using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Utility;

namespace bbiwarg.Detectors.Fingers
{
    class FingerSlice
    {
        public Vector2D Start { get; private set; }
        public Vector2D Mid { get; private set; }
        public Vector2D End { get; private set; }
        public LineSegment2D LineSegment { get; private set; }
        public float Length { get; private set; }

        public FingerSlice(Vector2D start, Vector2D end)
        {
            Start = start;
            End = end;
            Mid = (start + end) / 2;
            LineSegment = new LineSegment2D(Start, End);
            Length = Start.getDistanceTo(End); ;
        }

    }
}
